Skip to main content
POST
/
api2
/
v1
/
projects
/
{projectUid}
/
jobs
/
{jobUid}
/
termBases
/
searchInTextByJob
Search terms in text
curl --request POST \
  --url https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/jobs/{jobUid}/termBases/searchInTextByJob \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "text": "<string>",
  "reverse": true,
  "zeroLengthSeparator": "<string>"
}
'
import requests

url = "https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/jobs/{jobUid}/termBases/searchInTextByJob"

payload = {
"text": "<string>",
"reverse": True,
"zeroLengthSeparator": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({text: '<string>', reverse: true, zeroLengthSeparator: '<string>'})
};

fetch('https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/jobs/{jobUid}/termBases/searchInTextByJob', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "searchResults": [
    {
      "conceptId": "<string>",
      "matches": [
        {
          "beginIndex": 123,
          "text": "<string>"
        }
      ],
      "sourceTerm": {
        "text": "<string>",
        "caseSensitive": true,
        "conceptId": "<string>",
        "conceptNote": "<string>",
        "createdAt": "2023-11-07T05:31:56Z",
        "createdBy": {
          "email": "<string>",
          "firstName": "<string>",
          "id": "<string>",
          "lastName": "<string>",
          "uid": "<string>",
          "userName": "<string>"
        },
        "customFields": [
          {
            "fieldName": "<string>",
            "value": {}
          }
        ],
        "definition": "<string>",
        "domain": "<string>",
        "exactMatch": true,
        "forbidden": true,
        "gender": "<string>",
        "id": "<string>",
        "lang": "<string>",
        "modifiedAt": "2023-11-07T05:31:56Z",
        "modifiedBy": {
          "email": "<string>",
          "firstName": "<string>",
          "id": "<string>",
          "lastName": "<string>",
          "uid": "<string>",
          "userName": "<string>"
        },
        "note": "<string>",
        "number": "<string>",
        "partOfSpeech": "<string>",
        "preferred": true,
        "rtl": true,
        "shortTranslation": "<string>",
        "subDomains": [
          "<string>"
        ],
        "termType": "<string>",
        "url": "<string>",
        "usage": "<string>",
        "writable": true
      },
      "subTerm": true,
      "termBase": {
        "name": "<string>",
        "businessUnit": {
          "id": "<string>",
          "name": "<string>",
          "uid": "<string>"
        },
        "canShow": true,
        "client": {
          "id": "<string>",
          "name": "<string>",
          "uid": "<string>"
        },
        "createdBy": {
          "email": "<string>",
          "firstName": "<string>",
          "id": "<string>",
          "lastName": "<string>",
          "uid": "<string>",
          "userName": "<string>"
        },
        "dateCreated": "2023-11-07T05:31:56Z",
        "domain": {
          "id": "<string>",
          "name": "<string>",
          "uid": "<string>"
        },
        "id": "<string>",
        "internalId": 123,
        "langs": [
          "<string>"
        ],
        "note": "<string>",
        "owner": {
          "email": "<string>",
          "firstName": "<string>",
          "id": "<string>",
          "lastName": "<string>",
          "uid": "<string>",
          "userName": "<string>"
        },
        "readonly": true,
        "sourceUrl": "<string>",
        "subDomain": {
          "id": "<string>",
          "name": "<string>",
          "uid": "<string>"
        },
        "uid": "<string>",
        "userAllowedOperations": [
          "<string>"
        ]
      },
      "translationTerms": [
        {
          "text": "<string>",
          "caseSensitive": true,
          "conceptId": "<string>",
          "conceptNote": "<string>",
          "createdAt": "2023-11-07T05:31:56Z",
          "createdBy": {
            "email": "<string>",
            "firstName": "<string>",
            "id": "<string>",
            "lastName": "<string>",
            "uid": "<string>",
            "userName": "<string>"
          },
          "customFields": [
            {
              "fieldName": "<string>",
              "value": {}
            }
          ],
          "definition": "<string>",
          "domain": "<string>",
          "exactMatch": true,
          "forbidden": true,
          "gender": "<string>",
          "id": "<string>",
          "lang": "<string>",
          "modifiedAt": "2023-11-07T05:31:56Z",
          "modifiedBy": {
            "email": "<string>",
            "firstName": "<string>",
            "id": "<string>",
            "lastName": "<string>",
            "uid": "<string>",
            "userName": "<string>"
          },
          "note": "<string>",
          "number": "<string>",
          "partOfSpeech": "<string>",
          "preferred": true,
          "rtl": true,
          "shortTranslation": "<string>",
          "subDomains": [
            "<string>"
          ],
          "termType": "<string>",
          "url": "<string>",
          "usage": "<string>",
          "writable": true
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

jobUid
string
required

Job UID

projectUid
string
required

Project UID

Body

application/json
text
string
required
reverse
boolean

Default: false

zeroLengthSeparator
string

Response

OK

searchResults
object[]

List of in-text search results